Get
curl --request GET \
--url https://{appid}.api-{region}.cometchat.io/v3/users/{uid} \
--header 'apikey: <api-key>'import requests
url = "https://{appid}.api-{region}.cometchat.io/v3/users/{uid}"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{appid}.api-{region}.cometchat.io/v3/users/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uid": "superhero6",
"name": "Barry Allen",
"link": "http://placehold.it",
"avatar": "http://placehold.it/120x120&text=image1",
"status": "offline",
"role": "manager",
"createdAt": 1638354015
}
}Users
Get
Retrieves user details for a specified UID.
GET
/
users
/
{uid}
Get
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Headers
UID of the user on whose behalf the action is performed.
Path Parameters
UID of the user on whose behalf the action is performed.
Response
200 - application/json
Fetched User
⌘I